<template>
  <section>
    <div class="stazione">{{ stazione }}</div>
    <div class="valore" :class="colore">{{ valore }} m</div>
  </section>
</template>

<script>
export default {
  name: "MareeVenezia",
  props: {
    stazione: {
      type: String,
      required: true,
    },
    valore: {
      type: Number,
      required: true,
    },
  },
  computed: {
    colore() {
      if (this.valore < 0.4) return "is-green";
      if (this.valore < 0.6) return "is-yellow";
      if (this.valore < 1) return "is-oramge";
      return "is-red";
    },
  },
};
</script>

<style scoped>
section {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.stazione {
  text-transform: uppercase;
  font-weight: bold;
  margin-bottom: 20%;
}

.valore {
  text-transform: lowercase;
  font-size: 200%;
  margin-left: 10%;
  margin-right: 10%;
  text-align: center;
}

.is-red {
  color: rgba(255, 0, 0, 0.8);
}

.is-orange {
  color: rgba(255, 136, 0, 0.8);
}

.is-yellow {
  color: rgba(238, 255, 0, 0.8);
}

.is-green {
  color: rgba(0, 255, 64, 0.8);
}

</style>